Name:           rhsc-sdk-python
Version: 3.0.0.0
Release: 0.2%{?dist}
Summary:        RHSC Engine Software Development Kit
Group:          Development/Libraries
License:        ASL 2.0
URL:            http://ovirt.org
Source0:        http://ovirt.org/releases/stable/src/rhsc-sdk-python-%{version}.tar.gz

BuildRequires: python2-devel
BuildRequires: python-setuptools-devel
BuildArch: noarch

Requires: python
Requires: python-lxml

Provides:  rhsc-sdk = %{version}
Obsoletes: rhsc-sdk < 2.1.2

%description
This package contains The RHSC Engine Software Development Kit.
With this package, custom software can be built for RHSC.

%prep
%setup -q -n %{name}

%build
%{__python} -c 'import setuptools; execfile("setup.py")' build

%install
%{__python} -c 'import setuptools; execfile("setup.py")' install -O1 --skip-build --root %{buildroot}

%files
%defattr(-,root,root,-)
%dir %attr(0755, root, root) %{python_sitelib}/ovirtsdk
%{python_sitelib}/ovirtsdk
%{python_sitelib}/rhsc_sdk_python-*-info
%doc AUTHORS
%doc README
%doc LICENSE

%changelog
* Thu Jun 12 2014 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 3.0.0.0-0.2
- fix dist issue

* Wed May 07 2014 Bala FA <barumuga@redhat.com> - 3.0.0.0-0.1
- Initial build
